# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
""" Copyright (c) 2002-2003 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr/ -- mailto:contact@logilab.fr  
"""

__revision__ = '$Id: __pkginfo__.py,v 1.1 2003/09/18 07:09:08 syt Exp $'


modname = 'pyreverse'

numversion = [0,4,2]
version = '.'.join(map(str, numversion))

license = 'GPL'
copyright = '''Copyright  2001-2003 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr/ -- mailto:contact@logilab.fr'''

short_desc = "Set of tools to reverse enginering Python code"
long_desc = """Pyreverse is a set of utilities to reverse enginering Python code.
It uses a representation of a Python project in a class hierarchy which can be
used to extract any information (such as generating UML diagrams and make a few
statistics from the Python code, as pyargo and pystats)"""

author = "Sylvain Thnault"
author_email = "sylvain.thenault@logilab.fr"

web = "http://www.logilab.org/%s" % modname
ftp = "ftp://ftp.logilab.org/pub/%s" % modname

subpackage_of = 'logilab'

scripts = ('bin/pyargo',
           'bin/pystats',
           'bin/pyvcg',
           'bin/py2tests',
           'bin/py2xmi')

from os.path import join
include_dirs = [join('test', 'data'), join('test', 'generated')]
